<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>management</artifactId>
    <version>1.8.2.2</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.management</groupId>
  <artifactId>cluster-node-management</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: MANAGEMENT :: CLUSTER NODE MANAGEMENT</name>
  <description>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: MANAGEMENT :: CLUSTER NODE MANAGEMENT</description>

  <properties>
  	<bundle.osgi.export.pkg>ru.entaxy.esb.platform.core.management.cluster.node</bundle.osgi.export.pkg>
  	<bundle.osgi.private.pkg>ru.entaxy.esb.platform.core.management.cluster.node.impl</bundle.osgi.private.pkg>
  </properties>

  
  <dependencies>
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
  		<artifactId>management-core</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	
    <dependency>
        <groupId>org.apache.karaf</groupId>
        <artifactId>org.apache.karaf.util</artifactId>
        <version>${karaf.version}</version>
    </dependency>
      	
  		<!-- @TODO move declaration to root/pom.xml -->
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  		<version>1.4.0</version>
	  		<scope>compile</scope>
	  	</dependency>
	  	
	<dependency>
        <groupId>org.osgi</groupId>
        <artifactId>org.osgi.compendium</artifactId>
        <version>${osgi.compendium.version}</version>
 	</dependency>
 		  	
    <dependency>
        <groupId>com.hazelcast</groupId>
        <artifactId>hazelcast-all</artifactId>
        <version>${hazelcast.version}</version>
    </dependency>

    <dependency>
    	<groupId>
    		ru.entaxy.esb.platform.runtime.core.management
    	</groupId>
    	<artifactId>node-management</artifactId>
    	<version>${project.version}</version>
    </dependency>
  </dependencies>
  
  
</project>